Bug 42048 - New port textproc/aspell-dict: dictionaries for aspell (English)
Summary: New port textproc/aspell-dict: dictionaries for aspell (English)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-08-26 22:30 UTC by Thierry Thomas
Modified: 2002-09-01 23:17 UTC (History)
0 users

See Also:


Attachments
file.shar (3.21 KB, text/plain)
2002-08-26 22:30 UTC, Thierry Thomas
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thierry Thomas 2002-08-26 22:30:07 UTC
	The latest version of Aspell does not include any dictionary.
	This port installs dictionaries for English.

Fix: Remark: to be committed with the upgrade of aspell.

	Execute the following shar file:

How-To-Repeat: 	N.A.
Comment 1 Thierry Thomas 2002-08-29 23:48:08 UTC
Le 26/08/2002 à 22:22:12 +0200, Thierry Thomas <thierry@pompo.net> écrivait :
> 
> >Number:         42048
> >Category:       ports
> >Synopsis:       New port textproc/aspell-dict: dictionaries for aspell (English)

The following patch chases the upgrade of aspell to 0.50.1 and adds a
mirror (ftp.gnu.org is down):


diff -urN /usr/ports/textproc/aspell-dict.orig/Makefile /usr/ports/textproc/aspell-dict/Makefile
--- /usr/ports/textproc/aspell-dict.orig/Makefile	Mon Aug 26 21:44:24 2002
+++ /usr/ports/textproc/aspell-dict/Makefile	Fri Aug 30 00:17:17 2002
@@ -8,7 +8,8 @@
 PORTNAME=	aspell-dict
 PORTVERSION=	0.50
 CATEGORIES=	textproc
-MASTER_SITES=	${MASTER_SITE_GNU}
+MASTER_SITES=	http://savannah.gnu.org/download/${PORTRNAME}/rel/	\
+		${MASTER_SITE_GNU}
 MASTER_SITE_SUBDIR=	${PORTRNAME}
 PKGNAMEPREFIX=	en-
 DISTNAME=	${PORTRNAME}-${PKGNAMEPREFIX}${PORTVERSION}-${DISTREVISION}
@@ -26,6 +27,6 @@
 		WORD_LIST_COMPRESS="${LOCALBASE}/bin/word-list-compress"
 
 PORTRNAME=	${PORTNAME:S/-dict//}
-DISTREVISION=	1
+DISTREVISION=	2
 
 .include <bsd.port.mk>
diff -urN /usr/ports/textproc/aspell-dict.orig/distinfo /usr/ports/textproc/aspell-dict/distinfo
--- /usr/ports/textproc/aspell-dict.orig/distinfo	Sun Aug 25 22:40:37 2002
+++ /usr/ports/textproc/aspell-dict/distinfo	Fri Aug 30 00:20:05 2002
@@ -1 +1 @@
-MD5 (aspell-en-0.50-1.tar.bz2) = 0b9ea433b65be26434e769f788067959
+MD5 (aspell-en-0.50-2.tar.bz2) = 9cee7464f9e6e2eae42443048cd3c855


-- 
Th. Thomas.
Comment 2 dwcjr freebsd_committer 2002-09-01 23:17:32 UTC
State Changed
From-To: open->closed

Committed, thanks!